OGRE-Next: Ogre::DescriptorSetTexture2 Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::DescriptorSetTexture2 Struct Reference
Core » Resources

`#include <OgreDescriptorSetTexture.h>`

## Classes
struct | BufferSlot
struct | Slot
struct | TextureSlot

## Public Types
enum | SlotType { SlotTypeBuffer , SlotTypeTexture }

## Public Member Functions
| DescriptorSetTexture2 ()
void | checkValidity () const
bool | operator!= (const DescriptorSetTexture2 &other) const
| Warning: This operator won't see changes in SRV (i.e.
bool | operator< (const DescriptorSetTexture2 &other) const

## Public Attributes
uint16 | mRefCount
void * | mRsData
| Render-System specific data.
uint16 | mShaderTypeTexCount [NumShaderTypes]
FastArray< Slot > | mTextures

## Member Enumeration Documentation

## ◆ SlotType

enum Ogre::DescriptorSetTexture2::SlotType

Enumerator
SlotTypeBuffer |
SlotTypeTexture |

## Constructor & Destructor Documentation

## ◆ DescriptorSetTexture2()

Ogre::DescriptorSetTexture2::DescriptorSetTexture2 | ( |  | ) |
| inline

References mRefCount, mRsData, and mShaderTypeTexCount.

Referenced by operator!=(), and operator<().

## Member Function Documentation

## ◆ checkValidity()

void Ogre::DescriptorSetTexture2::checkValidity | ( |  | ) | const

## ◆ operator!=()

bool Ogre::DescriptorSetTexture2::operator!= | ( | const DescriptorSetTexture2 & | other | ) | const
| inline

Warning: This operator won't see changes in SRV (i.e.

data baked into mRsData). If you get notifyTextureChanged call, the Texture has changed and you must assume the DescriptorSetTexture2 has changed. SRV = Shader Resource View.

References DescriptorSetTexture2(), mShaderTypeTexCount, mTextures, and Ogre::NumShaderTypes.

## ◆ operator<()

bool Ogre::DescriptorSetTexture2::operator< | ( | const DescriptorSetTexture2 & | other | ) | const
| inline

References DescriptorSetTexture2(), mShaderTypeTexCount, mTextures, and Ogre::NumShaderTypes.

## Member Data Documentation

## ◆ mRefCount

uint16 Ogre::DescriptorSetTexture2::mRefCount

Referenced by DescriptorSetTexture2().

## ◆ mRsData

void* Ogre::DescriptorSetTexture2::mRsData

Render-System specific data.

Referenced by DescriptorSetTexture2().

## ◆ mShaderTypeTexCount

uint16 Ogre::DescriptorSetTexture2::mShaderTypeTexCount[NumShaderTypes]

Referenced by DescriptorSetTexture2(), operator!=(), and operator<().

## ◆ mTextures

FastArray<Slot> Ogre::DescriptorSetTexture2::mTextures

Referenced by operator!=(), and operator<().

The documentation for this struct was generated from the following file:

- OgreDescriptorSetTexture.h